Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003616TestLinkReportspublic2010-07-20 08:032010-10-09 08:00
Reporterjakcam 
Assigned Toasimon 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 5 
Fixed in Version1.9 RC 1 
Summary0003616: Missing link for reports "XXX Test cases" (eg : Not Run Test Cases)
DescriptionIn the version 1.8.5, we have a link on testcases to execute its but these links disapear in the version 1.9beta5.

We have these links for report "Test Result Matrix" (in both versions) but it didn't work yet (this another issue).

Best regards,
Guillaume
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0003576closedasimon Confusing link on "Test Cases Assigned to me" page 

-  Notes
(0010717)
Julian (reporter)
2010-07-20 12:29

try to explain better and give us detailed steps to reproduce.
(0010725)
jakcam (reporter)
2010-07-21 10:59

Step to reproduce :

1) Create project
2) Create Test Suite
3) Create Test Case in the test suite
4) Create Test Plan
5) Assign Test Case to the test plan
6) Create Build
7) Execute Test Case with the status : blocked
8) Go to result View, report "Blocked Test Cases"

In version 1.8.5 :
For the column "Test Case" we have a test case name with a link to execute this test case in the build

In version 1.9beta5 :
For the column "Test Case" we have only test case name but no link

We see the same behavior for the others status.

I hope that is more clear.

Best regards,
Guillaume
(0011421)
fman (administrator)
2010-09-20 18:03

Reminder sent to: Julian

would you mind to give a look ?
(0011427)
fman (administrator)
2010-09-20 20:08

Still need an answer to:

>>We can go to execute without problems ?
>>i.e. with all paremeters setted in right way:
>>BUILD,TEST PLAN, PLATFORM


I have read (thanks to your search) my motivation for objections, and still are the same -> link to edit OK, link to execute NO if there is not a clear answer
to

>>We can go to execute without problems ?
>>i.e. with all paremeters setted in right way:
>>BUILD,TEST PLAN, PLATFORM
(0011431)
jakcam (reporter)
2010-09-21 08:29

Hello,

I understand your point.

I underline the fact that is in the version 1.8.5 you provide a link to execute test case for report "Failed Test Cases" and "Blocked Test Cases" which disappeared in the version 1.9beta5.

If you suppressed the link volontary. It's your desicion no problem for me and you can close this issue. If it's not the case, i underline an oversight.

Best Regards,
Guillaume
(0011441)
Julian (reporter)
2010-09-21 16:28

execution is called this way:

lib/execute/execSetResults.php?version_id=17&level=testcase&id=16&setting_build=2&setting_platform=3&form_token=1352003376

andreas is it possible to call this page without form_token (right now it is not...)

we have to check if test execution makes sense without the tree.
first of all wait for andreas answer
(0011749)
fman (administrator)
2010-10-09 08:00

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-07-20 08:03 jakcam New Issue
2010-07-20 12:29 Julian Note Added: 0010717
2010-07-21 10:59 jakcam Note Added: 0010725
2010-09-20 18:03 fman Note Added: 0011421
2010-09-20 19:27 Julian Relationship added related to 0003576
2010-09-20 20:08 fman Note Added: 0011427
2010-09-21 08:29 jakcam Note Added: 0011431
2010-09-21 16:28 Julian Note Added: 0011441
2010-09-22 08:40 Julian Assigned To => asimon
2010-09-22 08:40 Julian Status new => assigned
2010-09-22 14:47 asimon Status assigned => resolved
2010-09-22 14:47 asimon Fixed in Version => 1.9 RC 1
2010-09-22 14:47 asimon Resolution open => fixed
2010-10-09 08:00 fman Note Added: 0011749
2010-10-09 08:00 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker